Name:           screem
Version:        0.12.2
Release:        1
Summary:        Website development environment

Group:          Development/Tools
License:        GPL
URL:            http://screem.sourceforge.net/
Source0:        http://download.sourceforge.net/screem/screem-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  dbus-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  gtkhtml2-devel
BuildRequires:  gtksourceview-devel
BuildRequires:  libgnomeprintui22-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  scrollkeeper
Requires(post): desktop-file-utils
Requires(post): GConf2
Requires(post): scrollkeeper
Requires(post): shared-mime-info
Requires(preun):  GConf2
Requires(postun): desktop-file-utils
Requires(postun): scrollkeeper
Requires(postun): shared-mime-info


%description
SCREEM is a non-WYSIWYG web site development environment with an
advanced editor and easy access to external helper applications such
as CVS.

The editor supports syntax highlighting, spell checking, automatic
closing of open tags, and broken link checking. Page previewing, DTD
parsing, page templates and publishing of files are also supported.

%prep
%setup -q


%build
%configure --disable-gtkhtml-help     \
           --disable-schemas-install  \
           --disable-update-mime      \
           --disable-update-desktop   \
           --with-included-neon       \
           --with-libxml2             \
           --enable-dbus
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DATADIRNAME=${RPM_BUILD_ROOT}%{_datadir} DESTDIR=${RPM_BUILD_ROOT}
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
desktop-file-install --delete-original --vendor fedora     \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications            \
  --add-category X-Fedora                                  \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
scrollkeeper-update -q


%preun
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :


%postun
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
scrollkeeper-update -q


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING COPYING-DOCS ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/application-registry
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/mime/packages/*
%{_datadir}/mime-info
%{_datadir}/omf
%{_datadir}/pixmaps
%{_libdir}/%{name}
%{_sysconfdir}/gconf/schemas/*


%changelog
* Thu Jul  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.12.2-1
- Update to 0.12.2.

* Thu Nov 25 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.12.1-1
- 0.12.1.

* Sat Nov 13 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.12.0-0.fdr.1
- 0.12.0.

* Mon Oct 20 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:08.2-0.fdr.2
- BuildRequires scrollkeeper.

* Thu Oct  9 2003 Marius L. Johndal <mariuslj at ifi.uio.no> 0:0.8.2-0.fdr.1
- Updated to 0.8.2.

* Wed Sep 17 2003 Marius L. Johndal <mariuslj at ifi.uio.no> 0:0.8.1-0.fdr.1
- Initial RPM release.
